Skip to main content
GET
/
v1
/
compliance
/
evidence-pack
Generate compliance evidence pack
curl --request GET \
  --url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/compliance/evidence-pack \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "schemaVersion": "<string>",
    "generatedAt": "2023-11-07T05:31:56Z",
    "since": "2023-11-07T05:31:56Z",
    "until": "2023-11-07T05:31:56Z",
    "framework": "<string>"
  },
  "summary": {},
  "grants": [
    {
      "grantId": "<string>",
      "agentId": "<string>",
      "principalId": "<string>",
      "developerId": "<string>",
      "scopes": [
        "<string>"
      ],
      "status": "active",
      "issuedAt": "2023-11-07T05:31:56Z",
      "expiresAt": "2023-11-07T05:31:56Z",
      "revokedAt": "2023-11-07T05:31:56Z",
      "parentGrantId": "<string>",
      "delegationDepth": 123
    }
  ],
  "auditEntries": [
    {
      "entryId": "<string>",
      "agentId": "<string>",
      "agentDid": "<string>",
      "grantId": "<string>",
      "principalId": "<string>",
      "developerId": "<string>",
      "action": "<string>",
      "metadata": {},
      "hash": "<string>",
      "prevHash": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "status": "success"
    }
  ],
  "policies": [
    {
      "id": "<string>",
      "name": "<string>",
      "effect": "allow",
      "priority": 123,
      "agentId": "<string>",
      "principalId": "<string>",
      "scopes": [
        "<string>"
      ],
      "timeOfDayStart": "<string>",
      "timeOfDayEnd": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "chainIntegrity": {
    "valid": true,
    "checkedEntries": 123,
    "firstBrokenAt": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Developer API key

Query Parameters

since
string<date-time>
until
string<date-time>
framework
enum<string>
default:all
Available options:
soc2,
gdpr,
all

Response

200 - application/json

Evidence pack

meta
object
summary
object
grants
object[]
auditEntries
object[]
policies
object[]
chainIntegrity
object